#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# System modules

# Third-party modules
from flask import Response, make_response, render_template, request
from flask_restx import Namespace, Resource, fields
import json

# Custom modules
from sequencer import Sequencer

from utils.data_access_object import ObservationBlockObject as DAO

dao = DAO("ob")

############################
# WEB VIEW
############################

web = Namespace('sequencer', description='Web Sequencer interface')

@web.route("/")
class BobWeb(Resource):

    def get(self):
        data = dao.todos
        return make_response(render_template("sequencer.html", data=data))
